AlertRoutingRules
Retrieves an alert routing rule
Retrieves a specific alert routing rule by id. Note: If you are an advanced alert routing user, you should use the Alert Routes endpoint instead of this endpoint. If you don’t know whether you are an advanced user, please contact Rootly customer support.
GET
/
v1
/
alert_routing_rules
/
{id}
Retrieves an alert routing rule
curl --request GET \
--url https://api.rootly.com/v1/alert_routing_rules/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.rootly.com/v1/alert_routing_rules/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rootly.com/v1/alert_routing_rules/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"type": "alert_routing_rules",
"attributes": {
"name": "<string>",
"enabled": true,
"alerts_source_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"position": 123,
"created_at": "<string>",
"updated_at": "<string>",
"conditions": [
{
"property_field_name": "<string>",
"property_field_value": "<string>",
"property_field_values": [
"<string>"
]
}
],
"destination": {
"target_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"condition_groups": [
{
"position": 123,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"conditions": [
{
"property_field_name": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"property_field_value": "<string>",
"property_field_values": [
"<string>"
],
"conditionable_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"conditionable_type": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}
],
"created_at": "<string>",
"updated_at": "<string>"
}
]
}
},
"included": [
{
"id": "<string>",
"type": "<string>",
"attributes": {},
"relationships": {}
}
]
}{
"errors": [
{
"title": "<string>",
"status": "<string>",
"code": "<string>",
"detail": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Resource UUID
Was this page helpful?
Previous
Update an alert routing ruleUpdate a specific alert routing rule by id. **Note: If you are an advanced alert routing user, you should use the Alert Routes endpoint instead of this endpoint. If you don't know whether you are an advanced user, please contact Rootly customer support.**
Next
⌘I
Retrieves an alert routing rule
